@echo off
 setlocal
 goto :OPTIONS

:LIST
::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo.
echo. USAGE: Proc Show $ HTABLE
echo.        Proc Show - Calc.exe Notepad.exe
echo.        Proc Kill NotePad.exe
echo.        Proc Kill *
echo.
echo. Commands :: Switches
echo.
echo. Kill        ([Process Name]) (*)
echo. Show        ()(Formats)(All[Format Type])
echo.             (-[Process Names]) ($[Format Type])
GOTO :EOF
::::::::::::::::::::::::::::::::::::::::::::::::::::::

:OPTIONS
if /i "%~1"=="/?"                           goto :LIST
if /i "%~1"=="-?"                           goto :LIST
if /i "%~1"=="?"                            goto :LIST
if /i "%~1"==""                             goto :LIST

if /i "%~1"=="kill" (if /i "%~2"=="*"       goto :KILL_ALL_PROC)
if /i "%~1"=="kill"                         goto :KILL_PROC

if /i "%~1"=="show" (if /i "%~2"=="formats" goto :SHOW_FORMAT)
if /i "%~1"=="show" (if /i "%~2"=="all"     goto :FORMAT_SHOW_ALL)
if /i "%~1"=="show" (if /i "%~2"=="-"       goto :SHOW_MULTI_PROC)
if /i "%~1"=="show" (if /i "%~2"=="$"       goto :FORMAT_SHOW_GENERAL)
if /i "%~1"=="show" (if /i "%~2"==""        goto :SHOW_GENERAL)

GOTO :EOF

:KILL_PROC
shift
if /i "%~1"=="" goto :eof
wmic process where name="%~1" call terminate
if ErrorLevel 1 PsKill -t %~1
GOTO :KILL_PROC

:KILL_ALL_PROC
for /f "tokens=1 skip=5" %%- in ('PsList') do (
wmic process where name="%%-.exe" call terminate
)
GOTO :EOF

:SHOW_GENERAL
wmic process get Name, ProcessId
GOTO :EOF

:FORMAT_SHOW_GENERAL
wmic process get Name, ProcessId /format:%~3
GOTO :EOF

:FORMAT_SHOW_ALL
wmic process get /all /format:%~3
GOTO :EOF

:SHOW_MULTI_PROC
shift
if /i "%~2"=="" goto :eof
wmic process where name="%~2" list Brief
GOTO :SHOW_MULTI_PROC

:SHOW_FORMAT
echo.
echo. Available Formats:
echo.--------------------
for /f "tokens=* skip=12" %%- in ('
wmic process list statistics /format /?') do (
echo.%%-
)
GOTO :EOF